Strange issue with QT5 applications printing

Questions on Installation
Post Reply
broadstairs
Posts: 73
Joined: Thu Nov 04, 2010 11:50 am

Strange issue with QT5 applications printing

Post by broadstairs » Sun Sep 25, 2016 9:28 am

I am having issues with using my Turboprint defined printer from applications which use QT5 printing support. So my question here is has Turboprint been tested with applications which use QT5 printing support?

My specific problem is that I am unable to select paper sizes which are supported by my Canon IP7250 printer even though they show up in the dialog, also there are paper sizes which are there in the list which this printer does not support like A3 etc and ARE selectable. I am running Turboprint on openSUSE Tumbleweed which uses QT V5.6 currently. The applications which display this anomaly are digikam and the kate editor to name two. Applications which do not use QT5 behave normally when printing.

Stuart

zedonet
Site Admin
Posts: 1775
Joined: Fri Oct 06, 2006 8:02 am

Re: Strange issue with QT5 applications printing

Post by zedonet » Mon Sep 26, 2016 5:02 pm

Hello,

I just verified these problems.

I tried some of the preinstalled drivers (Postscript, Gutenprint) and also had the problem of not being able to select paper sizes, all prints were A4 size. Also no print settings (media type, print quality) are available in the Qt5.6 print dialog as they were in previous versions of Qt - the print dialog looks a bit "beta".

So I am not sure if we can fix the problem from our side or will have to wait for a fix in Qt 5.x.

broadstairs
Posts: 73
Joined: Thu Nov 04, 2010 11:50 am

Re: Strange issue with QT5 applications printing

Post by broadstairs » Mon Sep 26, 2016 7:11 pm

Well at least I'm glad someone can also recreate the issue. I have today tested the issue with a CUPS printer on USB not using Turboprint on openSUSE Leap 42.2 beta2. So I guess we have to get the QT folks to fix this. My problem is how? I have had a bug open with openSUSE now for some time and a thread open on their forums but no one has replied that they also see the issue. Everything works when not using QT 5.6. I'll try some more to raise the issue with openSUSE.

Stuart

Post Reply